Bug 323014 - Import : download / delete all delete only one image
Summary: Import : download / delete all delete only one image
Status: RESOLVED FIXED
Alias: None
Product: digikam
Classification: Unclassified
Component: Import-MainView (show other bugs)
Version: 3.3.0
Platform: Mageia RPMs Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-07-30 17:43 UTC by sylvainsjc
Modified: 2014-05-24 06:25 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In: 4.1.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description sylvainsjc 2013-07-30 17:43:54 UTC
Tested with LinuxMint 15 (Digikam 3.1) and ROSA Desktop Fresh (Digikam 3.2) with PTP mode on NIKON D5100
When I tell Digikam to download / delete images from the camera, all is well downloaded but only the first image is deleted, the others stay and Digikam seems to wait something to finish the operation.
Using debug mode with gdb, I can see this : "No location could be retrieved for url KUrl("") " 

Reproducible: Always

Steps to Reproduce:
1. Connect the camera
2. Select Digikam import tool
3. Select "download / delete" selected images (or all)
4. No confirmation for deletion
5. Only one image is deleted


Expected Results:  
- Question to confirm (or not) the deletion
- Effective suppression all images selected
Comment 1 Teemu Rytilahti 2013-12-02 16:23:00 UTC
Downloading and deleting in the same go doesn't seem to work, but just downloading or just deleting seems to work here. Might be related to problems with status bug: https://bugs.kde.org/show_bug.cgi?id=313678
Comment 2 caulier.gilles 2014-05-24 06:25:43 UTC
With digiKam 4.0.0, problem cannot be reproduced...

Gilles Caulier